package com.xmomen.module.base.entity;

import com.xmomen.framework.mybatis.model.BaseMybatisExample;
import java.util.ArrayList;
import java.util.List;

// 定义一个CdMemberExample类，继承自BaseMybatisExample类
public class CdMemberExample extends BaseMybatisExample {
    // 定义一个orderByClause变量，用于存储排序字段
    protected String orderByClause;

    // 定义一个distinct变量，用于存储是否去重
    protected boolean distinct;

    // 定义一个oredCriteria变量，用于存储查询条件
    protected List<Criteria> oredCriteria;

    // 构造函数，初始化oredCriteria变量
    public CdMemberExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    // 设置排序字段
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    // 获取排序字段
    public String getOrderByClause() {
        return orderByClause;
    }

    // 设置是否去重
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    // 获取是否去重
    public boolean isDistinct() {
        return distinct;
    }

    // 获取查询条件
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    // 添加查询条件
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    // 创建一个新的查询条件
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    // 创建一个新的查询条件
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    // 创建一个新的查询条件
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    // 清空查询条件
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    // 定义一个GeneratedCriteria内部类，用于存储查询条件
    protected abstract static class GeneratedCriteria {
        // 定义一个criteria变量，用于存储查询条件
        protected List<Criterion> criteria;

        // 构造函数，初始化criteria变量
        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        // 判断查询条件是否有效
        public boolean isValid() {
            return criteria.size() > 0;
        }

        // 获取所有查询条件
        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        // 获取查询条件
        public List<Criterion> getCriteria() {
            return criteria;
        }

        // 添加查询条件
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        // 添加查询条件
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        // 添加查询条件
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        // 判断ID是否为空
        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        // 判断ID是否不为空
        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        // 判断ID是否等于某个值
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否不等于某个值
        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于某个值
        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于等于某个值
        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于某个值
        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于等于某个值
        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断NAME是否为空
        public Criteria andNameIsNull() {
            addCriterion("NAME is null");
            return (Criteria) this;
        }

        // 判断NAME是否不为空
        public Criteria andNameIsNotNull() {
            addCriterion("NAME is not null");
            return (Criteria) this;
        }

        // 判断NAME是否等于某个值
        public Criteria andNameEqualTo(String value) {
            addCriterion("NAME =", value, "name");
            return (Criteria) this;
        }

        // 判断NAME是否不等于某个值
        public Criteria andNameNotEqualTo(String value) {
            addCriterion("NAME <>", value, "name");
            return (Criteria) this;
        }

        // 判断NAME是否大于某个值
        public Criteria andNameGreaterThan(String value) {
            addCriterion("NAME >", value, "name");
            return (Criteria) this;
        }

        // 判断NAME是否大于等于某个值
        public Criteria andNameGreaterThanOrEqualTo(String value) {
            addCriterion("NAME >=", value, "name");
            return (Criteria) this;
        }

        // 判断NAME是否小于某个值
        public Criteria andNameLessThan(String value) {
            addCriterion("NAME <", value, "name");
            return (Criteria) this;
        }

        // 判断NAME是否小于等于某个值
        public Criteria andNameLessThanOrEqualTo(String value) {
            addCriterion("NAME <=", value, "name");
            return (Criteria) this;
        }

        // 判断NAME是否包含某个值
        public Criteria andNameLike(String value) {
            addCriterion("NAME like", value, "name");
            return (Criteria) this;
        }

        // 判断NAME是否不包含某个值
        public Criteria andNameNotLike(String value) {
            addCriterion("NAME not like", value, "name");
            return (Criteria) this;
        }

        // 判断NAME是否在某个范围内
        public Criteria andNameIn(List<String> values) {
            addCriterion("NAME in", values, "name");
            return (Criteria) this;
        }

        // 判断NAME是否不在某个范围内
        public Criteria andNameNotIn(List<String> values) {
            addCriterion("NAME not in", values, "name");
            return (Criteria) this;
        }

        // 判断NAME是否在某个范围内
        public Criteria andNameBetween(String value1, String value2) {
            addCriterion("NAME between", value1, value2, "name");
            return (Criteria) this;
        }

        // 判断NAME是否不在某个范围内
        public Criteria andNameNotBetween(String value1, String value2) {
            addCriterion("NAME not between", value1, value2, "name");
            return (Criteria) this;
        }

        // 判断PASSWORD是否为空
        public Criteria andPasswordIsNull() {
            addCriterion("PASSWORD is null");
            return (Criteria) this;
        }

        // 判断PASSWORD是否不为空
        public Criteria andPasswordIsNotNull() {
            addCriterion("PASSWORD is not null");
            return (Criteria) this;
        }

        // 判断PASSWORD是否等于某个值
        public Criteria andPasswordEqualTo(String value) {
            addCriterion("PASSWORD =", value, "password");
            return (Criteria) this;
        }

        // 判断PASSWORD是否不等于某个值
        public Criteria andPasswordNotEqualTo(String value) {
            addCriterion("PASSWORD <>", value, "password");
            return (Criteria) this;
        }

        // 判断PASSWORD是否大于某个值
        public Criteria andPasswordGreaterThan(String value) {
            addCriterion("PASSWORD >", value, "password");
            return (Criteria) this;
        }

        // 判断PASSWORD是否大于等于某个值
        public Criteria andPasswordGreaterThanOrEqualTo(String value) {
            addCriterion("PASSWORD >=", value, "password");
            return (Criteria) this;
        }

        // 判断PASSWORD是否小于某个值
        public Criteria andPasswordLessThan(String value) {
            addCriterion("PASSWORD <", value, "password");
            return (Criteria) this;
        }

        // 判断PASSWORD是否小于等于某个值
        public Criteria andPasswordLessThanOrEqualTo(String value) {
            addCriterion("PASSWORD <=", value, "password");
            return (Criteria) this;
        }

        // 判断PASSWORD是否包含某个值
        public Criteria andPasswordLike(String value) {
            addCriterion("PASSWORD like", value, "password");
            return (Criteria) this;
        }

        // 判断PASSWORD是否不包含某个值
        public Criteria andPasswordNotLike(String value) {
            addCriterion("PASSWORD not like", value, "password");
            return (Criteria) this;
        }

        // 判断PASSWORD是否在某个范围内
        public Criteria andPasswordIn(List<String> values) {
            addCriterion("PASSWORD in", values, "password");
            return (Criteria) this;
        }

        // 判断PASSWORD是否不在某个范围内
        public Criteria andPasswordNotIn(List<String> values) {
            addCriterion("PASSWORD not in", values, "password");
            return (Criteria) this;
        }

        // 判断PASSWORD是否在某个范围内
        public Criteria andPasswordBetween(String value1, String value2) {
            addCriterion("PASSWORD between", value1, value2, "password");
            return (Criteria) this;
        }

        // 判断PASSWORD是否不在某个范围内
        public Criteria andPasswordNotBetween(String value1, String value2) {
            addCriterion("PASSWORD not between", value1, value2, "password");
            return (Criteria) this;
        }

        // 判断PHONE_NUMBER是否为空
        public Criteria andPhoneNumberIsNull() {
            addCriterion("PHONE_NUMBER is null");
            return (Criteria) this;
        }

        // 判断PHONE_NUMBER是否不为空
        public Criteria andPhoneNumberIsNotNull() {
            addCriterion("PHONE_NUMBER is not null");
            return (Criteria) this;
        }

        // 判断PHONE_NUMBER是否等于某个值
        public Criteria andPhoneNumberEqualTo(String value) {
            addCriterion("PHONE_NUMBER =", value, "phoneNumber");
            return (Criteria) this;
        }

        // 判断PHONE_NUMBER是否不等于某个值
        public Criteria andPhoneNumberNotEqualTo(String value) {
            addCriterion("PHONE_NUMBER <>", value, "phoneNumber");
            return (Criteria) this;
        }

        // 判断PHONE_NUMBER是否大于某个值
        public Criteria andPhoneNumberGreaterThan(String value) {
            addCriterion("PHONE_NUMBER >", value, "phoneNumber");
            return (Criteria) this;
        }

        // 判断PHONE_NUMBER是否大于等于某个值
        public Criteria andPhoneNumberGreaterThanOrEqualTo(String value) {
            addCriterion("PHONE_NUMBER >=", value, "phoneNumber");
            return (Criteria) this;
        }

        // 判断PHONE_NUMBER是否小于某个值
        public Criteria andPhoneNumberLessThan(String value) {
            addCriterion("PHONE_NUMBER <", value, "phoneNumber");
            return (Criteria) this;
        }

        // 判断PHONE_NUMBER是否小于等于某个值
        public Criteria andPhoneNumberLessThanOrEqualTo(String value) {
            addCriterion("PHONE_NUMBER <=", value, "phoneNumber");
            return (Criteria) this;
        }

        // 判断PHONE_NUMBER是否包含某个值
        public Criteria andPhoneNumberLike(String value) {
            addCriterion("PHONE_NUMBER like", value, "phoneNumber");
            return (Criteria) this;
        }

        // 判断PHONE_NUMBER是否不包含某个值
        public Criteria andPhoneNumberNotLike(String value) {
            addCriterion("PHONE_NUMBER not like", value, "phoneNumber");
            return (Criteria) this;
        }

        // 判断PHONE_NUMBER是否在某个范围内
        public Criteria andPhoneNumberIn(List<String> values) {
            addCriterion("PHONE_NUMBER in", values, "phoneNumber");
            return (Criteria) this;
        }

        // 判断PHONE_NUMBER是否不在某个范围内
        public Criteria andPhoneNumberNotIn(List<String> values) {
            addCriterion("PHONE_NUMBER not in", values, "phoneNumber");
            return (Criteria) this;
        }

        // 判断PHONE_NUMBER是否在某个范围内
        public Criteria andPhoneNumberBetween(String value1, String value2) {
            addCriterion("PHONE_NUMBER between", value1, value2, "phoneNumber");
            return (Criteria) this;
        }

        // 判断PHONE_NUMBER是否不在某个范围内
        public Criteria andPhoneNumberNotBetween(String value1, String value2) {
            addCriterion("PHONE_NUMBER not between", value1, value2, "phoneNumber");
            return (Criteria) this;
        }

        // 判断ADDRESS是否为空
        public Criteria andAddressIsNull() {
            addCriterion("ADDRESS is null");
            return (Criteria) this;
        }

        // 判断ADDRESS是否不为空
        public Criteria andAddressIsNotNull() {
            addCriterion("ADDRESS is not null");
            return (Criteria) this;
        }

        // 判断ADDRESS是否等于某个值
        public Criteria andAddressEqualTo(String value) {
            addCriterion("ADDRESS =", value, "address");
            return (Criteria) this;
        }

        // 判断ADDRESS是否不等于某个值
        public Criteria andAddressNotEqualTo(String value) {
            addCriterion("ADDRESS <>", value, "address");
            return (Criteria) this;
        }

        // 判断ADDRESS是否大于某个值
        public Criteria andAddressGreaterThan(String value) {
            addCriterion("ADDRESS >", value, "address");
            return (Criteria) this;
        }

        // 判断ADDRESS是否大于等于某个值
        public Criteria andAddressGreaterThanOrEqualTo(String value) {
            addCriterion("ADDRESS >=", value, "address");
            return (Criteria) this;
        }

        // 判断ADDRESS是否小于某个值
        public Criteria andAddressLessThan(String value) {
            addCriterion("ADDRESS <", value, "address");
            return (Criteria) this;
        }

        // 判断ADDRESS是否小于等于某个值
        public Criteria andAddressLessThanOrEqualTo(String value) {
            addCriterion("ADDRESS <=", value, "address");
            return (Criteria) this;
        }

        // 判断ADDRESS是否包含某个值
        public Criteria andAddressLike(String value) {
            addCriterion("ADDRESS like", value, "address");
            return (Criteria) this;
        }

        // 判断ADDRESS是否不包含某个值
        public Criteria andAddressNotLike(String value) {
            addCriterion("ADDRESS not like", value, "address");
            return (Criteria) this;
        }

        // 判断ADDRESS是否在某个范围内
        public Criteria andAddressIn(List<String> values) {
            addCriterion("ADDRESS in", values, "address");
            return (Criteria) this;
        }

        // 判断ADDRESS是否不在某个范围内
        public Criteria andAddressNotIn(List<String> values) {
            addCriterion("ADDRESS not in", values, "address");
            return (Criteria) this;
        }

        // 判断ADDRESS是否在某个范围内
        public Criteria andAddressBetween(String value1, String value2) {
            addCriterion("ADDRESS between", value1, value2, "address");
            return (Criteria) this;
        }

        // 判断ADDRESS是否不在某个范围内
        public Criteria andAddressNotBetween(String value1, String value2) {
            addCriterion("ADDRESS not between", value1, value2, "address");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否为空
        public Criteria andCdCompanyIdIsNull() {
            addCriterion("CD_COMPANY_ID is null");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否不为空
        public Criteria andCdCompanyIdIsNotNull() {
            addCriterion("CD_COMPANY_ID is not null");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否等于某个值
        public Criteria andCdCompanyIdEqualTo(Integer value) {
            addCriterion("CD_COMPANY_ID =", value, "cdCompanyId");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否不等于某个值
        public Criteria andCdCompanyIdNotEqualTo(Integer value) {
            addCriterion("CD_COMPANY_ID <>", value, "cdCompanyId");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否大于某个值
        public Criteria andCdCompanyIdGreaterThan(Integer value) {
            addCriterion("CD_COMPANY_ID >", value, "cdCompanyId");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否大于等于某个值
        public Criteria andCdCompanyIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("CD_COMPANY_ID >=", value, "cdCompanyId");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否小于某个值
        public Criteria andCdCompanyIdLessThan(Integer value) {
            addCriterion("CD_COMPANY_ID <", value, "cdCompanyId");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否小于等于某个值
        public Criteria andCdCompanyIdLessThanOrEqualTo(Integer value) {
            addCriterion("CD_COMPANY_ID <=", value, "cdCompanyId");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否在某个范围内
        public Criteria andCdCompanyIdIn(List<Integer> values) {
            addCriterion("CD_COMPANY_ID in", values, "cdCompanyId");
            return (Criteria) this;
        }

        // 判断CD_COMPANY_ID是否不在某个范围内
        public Criteria andCdCompanyIdNotIn(List<Integer> values) {
            addCriterion("CD_COMPANY_ID not in", values, "cdCompanyId");
            return (Criteria) this;
        }

        public Criteria andCdCompanyIdBetween(Integer value1, Integer value2) {
            // 添加CD_COMPANY_ID在value1和value2之间的条件
            addCriterion("CD_COMPANY_ID between", value1, value2, "cdCompanyId");
            return (Criteria) this;
        }

        public Criteria andCdCompanyIdNotBetween(Integer value1, Integer value2) {
            // 添加CD_COMPANY_ID不在value1和value2之间的条件
            addCriterion("CD_COMPANY_ID not between", value1, value2, "cdCompanyId");
            return (Criteria) this;
        }

        public Criteria andCdUserIdIsNull() {
            // 添加CD_USER_ID为空的条件
            addCriterion("CD_USER_ID is null");
            return (Criteria) this;
        }

        public Criteria andCdUserIdIsNotNull() {
            // 添加CD_USER_ID不为空的条件
            addCriterion("CD_USER_ID is not null");
            return (Criteria) this;
        }

        public Criteria andCdUserIdEqualTo(Integer value) {
            // 添加CD_USER_ID等于value的条件
            addCriterion("CD_USER_ID =", value, "cdUserId");
            return (Criteria) this;
        }

        public Criteria andCdUserIdNotEqualTo(Integer value) {
            // 添加CD_USER_ID不等于value的条件
            addCriterion("CD_USER_ID <>", value, "cdUserId");
            return (Criteria) this;
        }

        public Criteria andCdUserIdGreaterThan(Integer value) {
            // 添加CD_USER_ID大于value的条件
            addCriterion("CD_USER_ID >", value, "cdUserId");
            return (Criteria) this;
        }

        public Criteria andCdUserIdGreaterThanOrEqualTo(Integer value) {
            // 添加CD_USER_ID大于等于value的条件
            addCriterion("CD_USER_ID >=", value, "cdUserId");
            return (Criteria) this;
        }

        public Criteria andCdUserIdLessThan(Integer value) {
            // 添加CD_USER_ID小于value的条件
            addCriterion("CD_USER_ID <", value, "cdUserId");
            return (Criteria) this;
        }

        public Criteria andCdUserIdLessThanOrEqualTo(Integer value) {
            // 添加CD_USER_ID小于等于value的条件
            addCriterion("CD_USER_ID <=", value, "cdUserId");
            return (Criteria) this;
        }

        public Criteria andCdUserIdIn(List<Integer> values) {
            // 添加CD_USER_ID在values列表中的条件
            addCriterion("CD_USER_ID in", values, "cdUserId");
            return (Criteria) this;
        }

        public Criteria andCdUserIdNotIn(List<Integer> values) {
            // 添加CD_USER_ID不在values列表中的条件
            addCriterion("CD_USER_ID not in", values, "cdUserId");
            return (Criteria) this;
        }

        public Criteria andCdUserIdBetween(Integer value1, Integer value2) {
            // 添加CD_USER_ID在value1和value2之间的条件
            addCriterion("CD_USER_ID between", value1, value2, "cdUserId");
            return (Criteria) this;
        }

        public Criteria andCdUserIdNotBetween(Integer value1, Integer value2) {
            // 添加CD_USER_ID不在value1和value2之间的条件
            addCriterion("CD_USER_ID not between", value1, value2, "cdUserId");
            return (Criteria) this;
        }

        public Criteria andSpareNameIsNull() {
            // 添加SPARE_NAME为空的条件
            addCriterion("SPARE_NAME is null");
            return (Criteria) this;
        }

        public Criteria andSpareNameIsNotNull() {
            // 添加SPARE_NAME不为空的条件
            addCriterion("SPARE_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andSpareNameEqualTo(String value) {
            // 添加SPARE_NAME等于value的条件
            addCriterion("SPARE_NAME =", value, "spareName");
            return (Criteria) this;
        }

        public Criteria andSpareNameNotEqualTo(String value) {
            // 添加SPARE_NAME不等于value的条件
            addCriterion("SPARE_NAME <>", value, "spareName");
            return (Criteria) this;
        }

        public Criteria andSpareNameGreaterThan(String value) {
            // 添加SPARE_NAME大于value的条件
            addCriterion("SPARE_NAME >", value, "spareName");
            return (Criteria) this;
        }

        public Criteria andSpareNameGreaterThanOrEqualTo(String value) {
            // 添加SPARE_NAME大于等于value的条件
            addCriterion("SPARE_NAME >=", value, "spareName");
            return (Criteria) this;
        }

        public Criteria andSpareNameLessThan(String value) {
            // 添加SPARE_NAME小于value的条件
            addCriterion("SPARE_NAME <", value, "spareName");
            return (Criteria) this;
        }

        public Criteria andSpareNameLessThanOrEqualTo(String value) {
            // 添加SPARE_NAME小于等于value的条件
            addCriterion("SPARE_NAME <=", value, "spareName");
            return (Criteria) this;
        }

        public Criteria andSpareNameLike(String value) {
            // 添加SPARE_NAME包含value的条件
            addCriterion("SPARE_NAME like", value, "spareName");
            return (Criteria) this;
        }

        public Criteria andSpareNameNotLike(String value) {
            // 添加SPARE_NAME不包含value的条件
            addCriterion("SPARE_NAME not like", value, "spareName");
            return (Criteria) this;
        }

        public Criteria andSpareNameIn(List<String> values) {
            // 添加SPARE_NAME在values列表中的条件
            addCriterion("SPARE_NAME in", values, "spareName");
            return (Criteria) this;
        }

        public Criteria andSpareNameNotIn(List<String> values) {
            // 添加SPARE_NAME不在values列表中的条件
            addCriterion("SPARE_NAME not in", values, "spareName");
            return (Criteria) this;
        }

        public Criteria andSpareNameBetween(String value1, String value2) {
            // 添加SPARE_NAME在value1和value2之间的条件
            addCriterion("SPARE_NAME between", value1, value2, "spareName");
            return (Criteria) this;
        }

        public Criteria andSpareNameNotBetween(String value1, String value2) {
            // 添加SPARE_NAME不在value1和value2之间的条件
            addCriterion("SPARE_NAME not between", value1, value2, "spareName");
            return (Criteria) this;
        }

        public Criteria andSpareName2IsNull() {
            // 添加SPARE_NAME2为空的条件
            addCriterion("SPARE_NAME2 is null");
            return (Criteria) this;
        }

        public Criteria andSpareName2IsNotNull() {
            // 添加SPARE_NAME2不为空的条件
            addCriterion("SPARE_NAME2 is not null");
            return (Criteria) this;
        }

        public Criteria andSpareName2EqualTo(String value) {
            // 添加SPARE_NAME2等于value的条件
            addCriterion("SPARE_NAME2 =", value, "spareName2");
            return (Criteria) this;
        }

        public Criteria andSpareName2NotEqualTo(String value) {
            // 添加SPARE_NAME2不等于value的条件
            addCriterion("SPARE_NAME2 <>", value, "spareName2");
            return (Criteria) this;
        }

        public Criteria andSpareName2GreaterThan(String value) {
            // 添加SPARE_NAME2大于value的条件
            addCriterion("SPARE_NAME2 >", value, "spareName2");
            return (Criteria) this;
        }

        public Criteria andSpareName2GreaterThanOrEqualTo(String value) {
            // 添加SPARE_NAME2大于等于value的条件
            addCriterion("SPARE_NAME2 >=", value, "spareName2");
            return (Criteria) this;
        }

        public Criteria andSpareName2LessThan(String value) {
            // 添加SPARE_NAME2小于value的条件
            addCriterion("SPARE_NAME2 <", value, "spareName2");
            return (Criteria) this;
        }

        public Criteria andSpareName2LessThanOrEqualTo(String value) {
            // 添加SPARE_NAME2小于等于value的条件
            addCriterion("SPARE_NAME2 <=", value, "spareName2");
            return (Criteria) this;
        }

        public Criteria andSpareName2Like(String value) {
            // 添加SPARE_NAME2包含value的条件
            addCriterion("SPARE_NAME2 like", value, "spareName2");
            return (Criteria) this;
        }

        public Criteria andSpareName2NotLike(String value) {
            // 添加SPARE_NAME2不包含value的条件
            addCriterion("SPARE_NAME2 not like", value, "spareName2");
            return (Criteria) this;
        }

        public Criteria andSpareName2In(List<String> values) {
            // 添加SPARE_NAME2在values列表中的条件
            addCriterion("SPARE_NAME2 in", values, "spareName2");
            return (Criteria) this;
        }

        public Criteria andSpareName2NotIn(List<String> values) {
            // 添加SPARE_NAME2不在values列表中的条件
            addCriterion("SPARE_NAME2 not in", values, "spareName2");
            return (Criteria) this;
        }

        public Criteria andSpareName2Between(String value1, String value2) {
            // 添加SPARE_NAME2在value1和value2之间的条件
            addCriterion("SPARE_NAME2 between", value1, value2, "spareName2");
            return (Criteria) this;
        }

        public Criteria andSpareName2NotBetween(String value1, String value2) {
            // 添加SPARE_NAME2不在value1和value2之间的条件
            addCriterion("SPARE_NAME2 not between", value1, value2, "spareName2");
            return (Criteria) this;
        }

        public Criteria andSpareTelIsNull() {
            // 添加SPARE_TEL为空的条件
            addCriterion("SPARE_TEL is null");
            return (Criteria) this;
        }

        public Criteria andSpareTelIsNotNull() {
            // 添加SPARE_TEL不为空的条件
            addCriterion("SPARE_TEL is not null");
            return (Criteria) this;
        }

        public Criteria andSpareTelEqualTo(String value) {
            // 添加SPARE_TEL等于value的条件
            addCriterion("SPARE_TEL =", value, "spareTel");
            return (Criteria) this;
        }

        public Criteria andSpareTelNotEqualTo(String value) {
            // 添加SPARE_TEL不等于value的条件
            addCriterion("SPARE_TEL <>", value, "spareTel");
            return (Criteria) this;
        }

        public Criteria andSpareTelGreaterThan(String value) {
            // 添加SPARE_TEL大于value的条件
            addCriterion("SPARE_TEL >", value, "spareTel");
            return (Criteria) this;
        }

        public Criteria andSpareTelGreaterThanOrEqualTo(String value) {
            // 添加SPARE_TEL大于等于value的条件
            addCriterion("SPARE_TEL >=", value, "spareTel");
            return (Criteria) this;
        }

        public Criteria andSpareTelLessThan(String value) {
            // 添加SPARE_TEL小于value的条件
            addCriterion("SPARE_TEL <", value, "spareTel");
            return (Criteria) this;
        }

        public Criteria andSpareTelLessThanOrEqualTo(String value) {
            // 添加SPARE_TEL小于等于value的条件
            addCriterion("SPARE_TEL <=", value, "spareTel");
            return (Criteria) this;
        }

        public Criteria andSpareTelLike(String value) {
            // 添加SPARE_TEL包含value的条件
            addCriterion("SPARE_TEL like", value, "spareTel");
            return (Criteria) this;
        }

        public Criteria andSpareTelNotLike(String value) {
            // 添加SPARE_TEL不包含value的条件
            addCriterion("SPARE_TEL not like", value, "spareTel");
            return (Criteria) this;
        }

        public Criteria andSpareTelIn(List<String> values) {
            // 添加SPARE_TEL在values列表中的条件
            addCriterion("SPARE_TEL in", values, "spareTel");
            return (Criteria) this;
        }

        public Criteria andSpareTelNotIn(List<String> values) {
            // 添加SPARE_TEL不在values列表中的条件
            addCriterion("SPARE_TEL not in", values, "spareTel");
            return (Criteria) this;
        }

        public Criteria andSpareTelBetween(String value1, String value2) {
            // 添加SPARE_TEL在value1和value2之间的条件
            addCriterion("SPARE_TEL between", value1, value2, "spareTel");
            return (Criteria) this;
        }

        public Criteria andSpareTelNotBetween(String value1, String value2) {
            // 添加SPARE_TEL不在value1和value2之间的条件
            addCriterion("SPARE_TEL not between", value1, value2, "spareTel");
            return (Criteria) this;
        }

        public Criteria andSpareTel2IsNull() {
            // 添加SPARE_TEL2为空的条件
            addCriterion("SPARE_TEL2 is null");
            return (Criteria) this;
        }

        public Criteria andSpareTel2IsNotNull() {
            // 添加SPARE_TEL2不为空的条件
            addCriterion("SPARE_TEL2 is not null");
            return (Criteria) this;
        }

        public Criteria andSpareTel2EqualTo(String value) {
            // 添加SPARE_TEL2等于value的条件
            addCriterion("SPARE_TEL2 =", value, "spareTel2");
            return (Criteria) this;
        }

        public Criteria andSpareTel2NotEqualTo(String value) {
            // 添加SPARE_TEL2不等于value的条件
            addCriterion("SPARE_TEL2 <>", value, "spareTel2");
            return (Criteria) this;
        }

        public Criteria andSpareTel2GreaterThan(String value) {
            // 添加SPARE_TEL2大于value的条件
            addCriterion("SPARE_TEL2 >", value, "spareTel2");
            return (Criteria) this;
        }

        public Criteria andSpareTel2GreaterThanOrEqualTo(String value) {
            // 添加SPARE_TEL2大于等于value的条件
            addCriterion("SPARE_TEL2 >=", value, "spareTel2");
            return (Criteria) this;
        }

        public Criteria andSpareTel2LessThan(String value) {
            // 添加SPARE_TEL2小于value的条件
            addCriterion("SPARE_TEL2 <", value, "spareTel2");
            return (Criteria) this;
        }

        public Criteria andSpareTel2LessThanOrEqualTo(String value) {
            // 添加SPARE_TEL2小于等于value的条件
            addCriterion("SPARE_TEL2 <=", value, "spareTel2");
            return (Criteria) this;
        }

        public Criteria andSpareTel2Like(String value) {
            // 添加SPARE_TEL2包含value的条件
            addCriterion("SPARE_TEL2 like", value, "spareTel2");
            return (Criteria) this;
        }

        public Criteria andSpareTel2NotLike(String value) {
            // 添加SPARE_TEL2不包含value的条件
            addCriterion("SPARE_TEL2 not like", value, "spareTel2");
            return (Criteria) this;
        }

        public Criteria andSpareTel2In(List<String> values) {
            // 添加条件：SPARE_TEL2 in values
            addCriterion("SPARE_TEL2 in", values, "spareTel2");
            return (Criteria) this;
        }

        public Criteria andSpareTel2NotIn(List<String> values) {
            // 添加条件：SPARE_TEL2 not in values
            addCriterion("SPARE_TEL2 not in", values, "spareTel2");
            return (Criteria) this;
        }

        public Criteria andSpareTel2Between(String value1, String value2) {
            // 添加条件：SPARE_TEL2 between value1 and value2
            addCriterion("SPARE_TEL2 between", value1, value2, "spareTel2");
            return (Criteria) this;
        }

        public Criteria andSpareTel2NotBetween(String value1, String value2) {
            // 添加条件：SPARE_TEL2 not between value1 and value2
            addCriterion("SPARE_TEL2 not between", value1, value2, "spareTel2");
            return (Criteria) this;
        }

        public Criteria andTelNumberIsNull() {
            // 添加条件：TEL_NUMBER is null
            addCriterion("TEL_NUMBER is null");
            return (Criteria) this;
        }

        public Criteria andTelNumberIsNotNull() {
            // 添加条件：TEL_NUMBER is not null
            addCriterion("TEL_NUMBER is not null");
            return (Criteria) this;
        }

        public Criteria andTelNumberEqualTo(String value) {
            // 添加条件：TEL_NUMBER = value
            addCriterion("TEL_NUMBER =", value, "telNumber");
            return (Criteria) this;
        }

        public Criteria andTelNumberNotEqualTo(String value) {
            // 添加条件：TEL_NUMBER <> value
            addCriterion("TEL_NUMBER <>", value, "telNumber");
            return (Criteria) this;
        }

        public Criteria andTelNumberGreaterThan(String value) {
            // 添加条件：TEL_NUMBER > value
            addCriterion("TEL_NUMBER >", value, "telNumber");
            return (Criteria) this;
        }

        public Criteria andTelNumberGreaterThanOrEqualTo(String value) {
            // 添加条件：TEL_NUMBER >= value
            addCriterion("TEL_NUMBER >=", value, "telNumber");
            return (Criteria) this;
        }

        public Criteria andTelNumberLessThan(String value) {
            // 添加条件：TEL_NUMBER < value
            addCriterion("TEL_NUMBER <", value, "telNumber");
            return (Criteria) this;
        }

        public Criteria andTelNumberLessThanOrEqualTo(String value) {
            // 添加条件：TEL_NUMBER <= value
            addCriterion("TEL_NUMBER <=", value, "telNumber");
            return (Criteria) this;
        }

        public Criteria andTelNumberLike(String value) {
            // 添加条件：TEL_NUMBER like value
            addCriterion("TEL_NUMBER like", value, "telNumber");
            return (Criteria) this;
        }

        public Criteria andTelNumberNotLike(String value) {
            // 添加条件：TEL_NUMBER not like value
            addCriterion("TEL_NUMBER not like", value, "telNumber");
            return (Criteria) this;
        }

        public Criteria andTelNumberIn(List<String> values) {
            // 添加条件：TEL_NUMBER in values
            addCriterion("TEL_NUMBER in", values, "telNumber");
            return (Criteria) this;
        }

        public Criteria andTelNumberNotIn(List<String> values) {
            // 添加条件：TEL_NUMBER not in values
            addCriterion("TEL_NUMBER not in", values, "telNumber");
            return (Criteria) this;
        }

        public Criteria andTelNumberBetween(String value1, String value2) {
            // 添加条件：TEL_NUMBER between value1 and value2
            addCriterion("TEL_NUMBER between", value1, value2, "telNumber");
            return (Criteria) this;
        }

        public Criteria andTelNumberNotBetween(String value1, String value2) {
            // 添加条件：TEL_NUMBER not between value1 and value2
            addCriterion("TEL_NUMBER not between", value1, value2, "telNumber");
            return (Criteria) this;
        }

        public Criteria andOfficeTelIsNull() {
            // 添加条件：OFFICE_TEL is null
            addCriterion("OFFICE_TEL is null");
            return (Criteria) this;
        }

        public Criteria andOfficeTelIsNotNull() {
            // 添加条件：OFFICE_TEL is not null
            addCriterion("OFFICE_TEL is not null");
            return (Criteria) this;
        }

        public Criteria andOfficeTelEqualTo(String value) {
            // 添加条件：OFFICE_TEL = value
            addCriterion("OFFICE_TEL =", value, "officeTel");
            return (Criteria) this;
        }

        public Criteria andOfficeTelNotEqualTo(String value) {
            // 添加条件：OFFICE_TEL <> value
            addCriterion("OFFICE_TEL <>", value, "officeTel");
            return (Criteria) this;
        }

        public Criteria andOfficeTelGreaterThan(String value) {
            // 添加条件：OFFICE_TEL > value
            addCriterion("OFFICE_TEL >", value, "officeTel");
            return (Criteria) this;
        }

        public Criteria andOfficeTelGreaterThanOrEqualTo(String value) {
            // 添加条件：OFFICE_TEL >= value
            addCriterion("OFFICE_TEL >=", value, "officeTel");
            return (Criteria) this;
        }

        public Criteria andOfficeTelLessThan(String value) {
            // 添加条件：OFFICE_TEL < value
            addCriterion("OFFICE_TEL <", value, "officeTel");
            return (Criteria) this;
        }

        public Criteria andOfficeTelLessThanOrEqualTo(String value) {
            // 添加条件：OFFICE_TEL <= value
            addCriterion("OFFICE_TEL <=", value, "officeTel");
            return (Criteria) this;
        }

        public Criteria andOfficeTelLike(String value) {
            // 添加条件：OFFICE_TEL like value
            addCriterion("OFFICE_TEL like", value, "officeTel");
            return (Criteria) this;
        }

        public Criteria andOfficeTelNotLike(String value) {
            // 添加条件：OFFICE_TEL not like value
            addCriterion("OFFICE_TEL not like", value, "officeTel");
            return (Criteria) this;
        }

        public Criteria andOfficeTelIn(List<String> values) {
            // 添加条件：OFFICE_TEL in values
            addCriterion("OFFICE_TEL in", values, "officeTel");
            return (Criteria) this;
        }

        public Criteria andOfficeTelNotIn(List<String> values) {
            // 添加条件：OFFICE_TEL not in values
            addCriterion("OFFICE_TEL not in", values, "officeTel");
            return (Criteria) this;
        }

        public Criteria andOfficeTelBetween(String value1, String value2) {
            // 添加条件：OFFICE_TEL between value1 and value2
            addCriterion("OFFICE_TEL between", value1, value2, "officeTel");
            return (Criteria) this;
        }

        public Criteria andOfficeTelNotBetween(String value1, String value2) {
            // 添加条件：OFFICE_TEL not between value1 and value2
            addCriterion("OFFICE_TEL not between", value1, value2, "officeTel");
            return (Criteria) this;
        }

        public Criteria andSpareAddressIsNull() {
            // 添加条件：SPARE_ADDRESS is null
            addCriterion("SPARE_ADDRESS is null");
            return (Criteria) this;
        }

        public Criteria andSpareAddressIsNotNull() {
            // 添加条件：SPARE_ADDRESS is not null
            addCriterion("SPARE_ADDRESS is not null");
            return (Criteria) this;
        }

        public Criteria andSpareAddressEqualTo(String value) {
            // 添加条件：SPARE_ADDRESS = value
            addCriterion("SPARE_ADDRESS =", value, "spareAddress");
            return (Criteria) this;
        }

        public Criteria andSpareAddressNotEqualTo(String value) {
            // 添加条件：SPARE_ADDRESS <> value
            addCriterion("SPARE_ADDRESS <>", value, "spareAddress");
            return (Criteria) this;
        }

        public Criteria andSpareAddressGreaterThan(String value) {
            // 添加条件：SPARE_ADDRESS > value
            addCriterion("SPARE_ADDRESS >", value, "spareAddress");
            return (Criteria) this;
        }

        public Criteria andSpareAddressGreaterThanOrEqualTo(String value) {
            // 添加条件：SPARE_ADDRESS >= value
            addCriterion("SPARE_ADDRESS >=", value, "spareAddress");
            return (Criteria) this;
        }

        public Criteria andSpareAddressLessThan(String value) {
            // 添加条件：SPARE_ADDRESS < value
            addCriterion("SPARE_ADDRESS <", value, "spareAddress");
            return (Criteria) this;
        }

        public Criteria andSpareAddressLessThanOrEqualTo(String value) {
            // 添加条件：SPARE_ADDRESS <= value
            addCriterion("SPARE_ADDRESS <=", value, "spareAddress");
            return (Criteria) this;
        }

        public Criteria andSpareAddressLike(String value) {
            // 添加条件：SPARE_ADDRESS like value
            addCriterion("SPARE_ADDRESS like", value, "spareAddress");
            return (Criteria) this;
        }

        public Criteria andSpareAddressNotLike(String value) {
            // 添加条件：SPARE_ADDRESS not like value
            addCriterion("SPARE_ADDRESS not like", value, "spareAddress");
            return (Criteria) this;
        }

        public Criteria andSpareAddressIn(List<String> values) {
            // 添加条件：SPARE_ADDRESS in values
            addCriterion("SPARE_ADDRESS in", values, "spareAddress");
            return (Criteria) this;
        }

        public Criteria andSpareAddressNotIn(List<String> values) {
            // 添加条件：SPARE_ADDRESS not in values
            addCriterion("SPARE_ADDRESS not in", values, "spareAddress");
            return (Criteria) this;
        }

        public Criteria andSpareAddressBetween(String value1, String value2) {
            // 添加条件：SPARE_ADDRESS between value1 and value2
            addCriterion("SPARE_ADDRESS between", value1, value2, "spareAddress");
            return (Criteria) this;
        }

        public Criteria andSpareAddressNotBetween(String value1, String value2) {
            // 添加条件：SPARE_ADDRESS not between value1 and value2
            addCriterion("SPARE_ADDRESS not between", value1, value2, "spareAddress");
            return (Criteria) this;
        }

        public Criteria andSpareAddress2IsNull() {
            // 添加条件：SPARE_ADDRESS2 is null
            addCriterion("SPARE_ADDRESS2 is null");
            return (Criteria) this;
        }

        public Criteria andSpareAddress2IsNotNull() {
            // 添加条件：SPARE_ADDRESS2 is not null
            addCriterion("SPARE_ADDRESS2 is not null");
            return (Criteria) this;
        }

        public Criteria andSpareAddress2EqualTo(String value) {
            // 添加条件：SPARE_ADDRESS2 = value
            addCriterion("SPARE_ADDRESS2 =", value, "spareAddress2");
            return (Criteria) this;
        }

        public Criteria andSpareAddress2NotEqualTo(String value) {
            // 添加条件：SPARE_ADDRESS2 <> value
            addCriterion("SPARE_ADDRESS2 <>", value, "spareAddress2");
            return (Criteria) this;
        }

        public Criteria andSpareAddress2GreaterThan(String value) {
            // 添加条件：SPARE_ADDRESS2 > value
            addCriterion("SPARE_ADDRESS2 >", value, "spareAddress2");
            return (Criteria) this;
        }

        public Criteria andSpareAddress2GreaterThanOrEqualTo(String value) {
            // 添加条件：SPARE_ADDRESS2大于等于value
            addCriterion("SPARE_ADDRESS2 >=", value, "spareAddress2");
            return (Criteria) this;
        }

        public Criteria andSpareAddress2LessThan(String value) {
            // 添加条件：SPARE_ADDRESS2小于value
            addCriterion("SPARE_ADDRESS2 <", value, "spareAddress2");
            return (Criteria) this;
        }

        public Criteria andSpareAddress2LessThanOrEqualTo(String value) {
            // 添加条件：SPARE_ADDRESS2小于等于value
            addCriterion("SPARE_ADDRESS2 <=", value, "spareAddress2");
            return (Criteria) this;
        }

        public Criteria andSpareAddress2Like(String value) {
            // 添加条件：SPARE_ADDRESS2模糊匹配value
            addCriterion("SPARE_ADDRESS2 like", value, "spareAddress2");
            return (Criteria) this;
        }

        public Criteria andSpareAddress2NotLike(String value) {
            // 添加条件：SPARE_ADDRESS2不模糊匹配value
            addCriterion("SPARE_ADDRESS2 not like", value, "spareAddress2");
            return (Criteria) this;
        }

        public Criteria andSpareAddress2In(List<String> values) {
            // 添加条件：SPARE_ADDRESS2在values列表中
            addCriterion("SPARE_ADDRESS2 in", values, "spareAddress2");
            return (Criteria) this;
        }

        public Criteria andSpareAddress2NotIn(List<String> values) {
            // 添加条件：SPARE_ADDRESS2不在values列表中
            addCriterion("SPARE_ADDRESS2 not in", values, "spareAddress2");
            return (Criteria) this;
        }

        public Criteria andSpareAddress2Between(String value1, String value2) {
            // 添加条件：SPARE_ADDRESS2在value1和value2之间
            addCriterion("SPARE_ADDRESS2 between", value1, value2, "spareAddress2");
            return (Criteria) this;
        }

        public Criteria andSpareAddress2NotBetween(String value1, String value2) {
            // 添加条件：SPARE_ADDRESS2不在value1和value2之间
            addCriterion("SPARE_ADDRESS2 not between", value1, value2, "spareAddress2");
            return (Criteria) this;
        }

        public Criteria andFlagIsNull() {
            // 添加条件：FLAG为空
            addCriterion("FLAG is null");
            return (Criteria) this;
        }

        public Criteria andFlagIsNotNull() {
            // 添加条件：FLAG不为空
            addCriterion("FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andFlagEqualTo(String value) {
            // 添加条件：FLAG等于value
            addCriterion("FLAG =", value, "flag");
            return (Criteria) this;
        }

        public Criteria andFlagNotEqualTo(String value) {
            // 添加条件：FLAG不等于value
            addCriterion("FLAG <>", value, "flag");
            return (Criteria) this;
        }

        public Criteria andFlagGreaterThan(String value) {
            // 添加条件：FLAG大于value
            addCriterion("FLAG >", value, "flag");
            return (Criteria) this;
        }

        public Criteria andFlagGreaterThanOrEqualTo(String value) {
            // 添加条件：FLAG大于等于value
            addCriterion("FLAG >=", value, "flag");
            return (Criteria) this;
        }

        public Criteria andFlagLessThan(String value) {
            // 添加条件：FLAG小于value
            addCriterion("FLAG <", value, "flag");
            return (Criteria) this;
        }

        public Criteria andFlagLessThanOrEqualTo(String value) {
            // 添加条件：FLAG小于等于value
            addCriterion("FLAG <=", value, "flag");
            return (Criteria) this;
        }

        public Criteria andFlagLike(String value) {
            // 添加条件：FLAG模糊匹配value
            addCriterion("FLAG like", value, "flag");
            return (Criteria) this;
        }

        public Criteria andFlagNotLike(String value) {
            // 添加条件：FLAG不模糊匹配value
            addCriterion("FLAG not like", value, "flag");
            return (Criteria) this;
        }

        public Criteria andFlagIn(List<String> values) {
            // 添加条件：FLAG在values列表中
            addCriterion("FLAG in", values, "flag");
            return (Criteria) this;
        }

        public Criteria andFlagNotIn(List<String> values) {
            // 添加条件：FLAG不在values列表中
            addCriterion("FLAG not in", values, "flag");
            return (Criteria) this;
        }

        public Criteria andFlagBetween(String value1, String value2) {
            // 添加条件：FLAG在value1和value2之间
            addCriterion("FLAG between", value1, value2, "flag");
            return (Criteria) this;
        }

        public Criteria andFlagNotBetween(String value1, String value2) {
            // 添加条件：FLAG不在value1和value2之间
            addCriterion("FLAG not between", value1, value2, "flag");
            return (Criteria) this;
        }

        public Criteria andMemberTypeIsNull() {
            // 添加条件：MEMBER_TYPE为空
            addCriterion("MEMBER_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andMemberTypeIsNotNull() {
            // 添加条件：MEMBER_TYPE不为空
            addCriterion("MEMBER_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andMemberTypeEqualTo(Integer value) {
            // 添加条件：MEMBER_TYPE等于value
            addCriterion("MEMBER_TYPE =", value, "memberType");
            return (Criteria) this;
        }

        public Criteria andMemberTypeNotEqualTo(Integer value) {
            // 添加条件：MEMBER_TYPE不等于value
            addCriterion("MEMBER_TYPE <>", value, "memberType");
            return (Criteria) this;
        }

        public Criteria andMemberTypeGreaterThan(Integer value) {
            // 添加条件：MEMBER_TYPE大于value
            addCriterion("MEMBER_TYPE >", value, "memberType");
            return (Criteria) this;
        }

        public Criteria andMemberTypeGreaterThanOrEqualTo(Integer value) {
            // 添加条件：MEMBER_TYPE大于等于value
            addCriterion("MEMBER_TYPE >=", value, "memberType");
            return (Criteria) this;
        }

        public Criteria andMemberTypeLessThan(Integer value) {
            // 添加条件：MEMBER_TYPE小于value
            addCriterion("MEMBER_TYPE <", value, "memberType");
            return (Criteria) this;
        }

        public Criteria andMemberTypeLessThanOrEqualTo(Integer value) {
            // 添加条件：MEMBER_TYPE小于等于value
            addCriterion("MEMBER_TYPE <=", value, "memberType");
            return (Criteria) this;
        }

        public Criteria andMemberTypeIn(List<Integer> values) {
            // 添加条件：MEMBER_TYPE在values列表中
            addCriterion("MEMBER_TYPE in", values, "memberType");
            return (Criteria) this;
        }

        public Criteria andMemberTypeNotIn(List<Integer> values) {
            // 添加条件：MEMBER_TYPE不在values列表中
            addCriterion("MEMBER_TYPE not in", values, "memberType");
            return (Criteria) this;
        }

        public Criteria andMemberTypeBetween(Integer value1, Integer value2) {
            // 添加条件：MEMBER_TYPE在value1和value2之间
            addCriterion("MEMBER_TYPE between", value1, value2, "memberType");
            return (Criteria) this;
        }

        public Criteria andMemberTypeNotBetween(Integer value1, Integer value2) {
            // 添加条件：MEMBER_TYPE不在value1和value2之间
            addCriterion("MEMBER_TYPE not between", value1, value2, "memberType");
            return (Criteria) this;
        }

        public Criteria andEmailIsNull() {
            // 添加条件：email为空
            addCriterion("email is null");
            return (Criteria) this;
        }

        public Criteria andEmailIsNotNull() {
            // 添加条件：email不为空
            addCriterion("email is not null");
            return (Criteria) this;
        }

        public Criteria andEmailEqualTo(String value) {
            // 添加条件：email等于value
            addCriterion("email =", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotEqualTo(String value) {
            // 添加条件：email不等于value
            addCriterion("email <>", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailGreaterThan(String value) {
            // 添加条件：email大于value
            addCriterion("email >", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailGreaterThanOrEqualTo(String value) {
            // 添加条件：email大于等于value
            addCriterion("email >=", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLessThan(String value) {
            // 添加条件：email小于value
            addCriterion("email <", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLessThanOrEqualTo(String value) {
            // 添加条件：email小于等于value
            addCriterion("email <=", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLike(String value) {
            // 添加条件：email模糊匹配value
            addCriterion("email like", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotLike(String value) {
            // 添加条件：email不模糊匹配value
            addCriterion("email not like", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailIn(List<String> values) {
            // 添加条件：email在values列表中
            addCriterion("email in", values, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotIn(List<String> values) {
            // 添加条件：email不在values列表中
            addCriterion("email not in", values, "email");
            return (Criteria) this;
        }

        public Criteria andEmailBetween(String value1, String value2) {
            // 添加条件：email在value1和value2之间
            addCriterion("email between", value1, value2, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotBetween(String value1, String value2) {
            // 添加条件：email不在value1和value2之间
            addCriterion("email not between", value1, value2, "email");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}